Summary:	Jupiter Control System for Computers
Name:		jupiter
Version:	0.0.51
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	%{name}_%{version}.tar.gz
URL:		http://www.jupiterapplet.org/
Requires:	coreutils, gtk-sharp2, xorg-x11-apps, rfkill
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hardware Control Interface for Computers

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{pm,xdg,pm/power.d,xdg/autostart}
install -d $RPM_BUILD_ROOT%{_datadir}/{applications,pixmaps}
install -d $RPM_BUILD_ROOT/var/jupiter
install -d $RPM_BUILD_ROOT/{usr,usr/bin}
install -d $RPM_BUILD_ROOT/{usr/lib,usr/lib/jupiter,usr/lib/jupiter/scripts,usr/lib/jupiter/kernel}

install pm/power.d/* $RPM_BUILD_ROOT%{_sysconfdir}/pm/power.d/
install xdg/autostart/* $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/
install usr/share/applications/* $RPM_BUILD_ROOT%{_desktopdir}/
install usr/share/pixmaps/*.png $RPM_BUILD_ROOT/usr/share/pixmaps/
install usr/lib/jupiter/scripts/* $RPM_BUILD_ROOT/usr/lib/jupiter/scripts/
install usr/lib/jupiter/kernel/* $RPM_BUILD_ROOT/usr/lib/jupiter/kernel/
install usr/bin/jupiter.exe $RPM_BUILD_ROOT/usr/bin/
#%clean
#rm -rf $RPM_BUILD_ROOT

%post
if [ ! "$(grep jupiter /etc/group)" ]; then
  echo "Adding Jupiter group"
  /usr/sbin/groupadd jupiter
fi
echo -n "Adding users to Jupiter group: "
  for i in $(awk -F: '$6 ~ /\/home/ && $3 >= 500 {print $1}' /etc/passwd);
  do
    echo -n $i" "
    usermod -G jupiter -a $i 2>/dev/null || true
  done
echo -e "\nAdding jupiter to sudoers"
if [ -d "/etc/sudoers.d" ]; then
  if [ ! -e "/etc/sudoers.d/999-jupiter" ]; then
    sed -i "/%jupiter.*\$/d" /etc/sudoers
    echo "%jupiter ALL=NOPASSWD: /usr/lib/jupiter/scripts/bluetooth, /usr/lib/jupiter/scripts/camera, /usr/lib/jupiter/scripts/cpu-control, /usr/lib/jupiter/scripts/resolutions, /usr/lib/jupiter/scripts/rotate, /usr/lib/jupiter/scripts/touchpad, /usr/lib/jupiter/scripts/vga-out, /usr/lib/jupiter/scripts/wifi" >> /etc/sudoers.d/999-jupiter
  fi
  chmod 0440 /etc/sudoers.d/999-jupiter
  chown root:root /etc/sudoers.d/999-jupiter
else
  grep jupiter /etc/sudoers >/dev/null 2>&1 || echo "%jupiter ALL=NOPASSWD: /usr/lib/jupiter/scripts/bluetooth, /usr/lib/jupiter/scripts/camera, /usr/lib/jupiter/scripts/cpu-control, /usr/lib/jupiter/scripts/resolutions, /usr/lib/jupiter/scripts/rotate, /usr/lib/jupiter/scripts/touchpad, /usr/lib/jupiter/scripts/vga-out, /usr/lib/jupiter/scripts/wifi" >> /etc/sudoers
fi

echo -e "\nAltering sudo tty permissions"
sed -i "s/^Defaults[ \t]*requiretty/#Defaults    requiretty/g" /etc/sudoers
echo "Setting permissions.."
chown -R root:root /usr/lib/jupiter
chmod -R 755 /usr/lib/jupiter
chmod 755 /usr/bin/jupiter.exe
chmod -R 755 /etc/pm/power.d/*jupiter*
if [ ! -d "/var/jupiter" ]; then
  mkdir /var/jupiter
fi
if [ -d "/var/jupiter" ]; then
  chown -R root:jupiter /var/jupiter
  chmod -R 775 /var/jupiter
fi
if [ -e "/usr/lib/jupiter/scripts/jupiter" ]; then
  /usr/lib/jupiter/scripts/jupiter 2>/dev/null || true
fi

%preun

%files
%defattr(644,root,root,755)
%dir  /usr/lib/jupiter/scripts
%attr(755,root,root) /usr/lib/jupiter/scripts
%dir  /usr/lib/jupiter/kernel
%attr(755,root,root) /usr/lib/jupiter/kernel
%dir /etc/pm/power.d
%attr(755,root,root) /etc/pm/power.d
%{_sysconfdir}/xdg/autostart/*.desktop
%{_desktopdir}/jupiter.desktop
/usr/share/pixmaps/*
/etc/pm/power.d/*jupiter*
/usr/bin/jupiter.exe
%dir /var/jupiter
%attr(775,root,jupiter) /var/jupiter

%changelog
* Mon Oct 13 2011 Andrew Wyatt <andrew@fuduntu.org> 0.0.51-3
- Clean up CPU mode labels

* Mon Oct 11 2011 Andrew Wyatt <andrew@fuduntu.org> 0.0.51
- Add Radeon OSS power management support
- Cleanup pixmaps
- Support "ADP" power supply type

* Sun Apr 03 2011 Andrew Wyatt <andrew@fuduntu.org> 0.0.50
- Move %jupiter to sudoers.d
- Update power saving tweaks for newer kernel rev
- Don't restart ACPID if it isn't running
- Remove redundant battery / power mode function

* Sat Jan 29 2011 Andrew Wyatt <andrew.wyatt@fewt.com> 0.0.49
- Fix bug in SATA link power management policy switch
* Sat Jan 22 2011 Andrew Wyatt <andrew.wyatt@fewt.com> 0.0.48
- Move external commands to a function
- Updated WIFI script to use rfkill properly
* Sat Jan 22 2011 Andrew Wyatt <andrew.wyatt@fewt.com> 0.0.47
- Added link to Jupiter Website on About dialog
* Sat Dec 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> 0.0.46
- Initial support for device power management management
- SATA Link power management support
- USB Autosuspend support
* Mon Nov 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> 0.0.45
- Default VGA mode if none set is now clone.
- Fix a power mode setting bug on desktops that forces powersave on start-up
